Subject: Re: [PATCH v5 net-next 02/36] iov_iter: DDP copy to iter/pages

From: Al Viro <[email-masked]>
Date: Fri, 23 Jul 2021 05:21:18 +0000

On Fri, Jul 23, 2021 at 07:03:02AM +0200, Christoph Hellwig wrote:
> On Thu, Jul 22, 2021 at 11:23:38PM +0300, Boris Pismenny wrote:
> > This routine, like other changes in this file, replicates the logic in
> > memcpy_to_page. The only difference is that "ddp" avoids copies when the
> > copy source and destinations buffers are one and the same.
> 
> Now why can't we just make that change to the generic routine?

Doable... replace memcpy(base, addr + off, len) with
	base != addr + off && memcpy(base, addr + off, len)
in _copy_to_iter() and be done with that...